/**
  *
  * RubiksCube.h  -- Defines a class that draws a Rubiks Cube in
  *                  Direct3D.
  *
  * Author: Kevin Audleman
  *
  */

#ifndef  __CONNECT_PROJECTILES__
#define  __CONNECT_PROJECTILES__


#include <windows.h>   // Standard Windows header file 
#include <direct.h>    // DirectDraw definitions 
#include <d3drmwin.h>  // D3DRM definitions 
#include <ddraw.h>

#include <stdio.h>
#include <math.h>
#include <assert.h>

#include "rubiksInfo.h"
#include "colors.h"
#include "ClientProjectile.h"
#include "RubiksSoundSet.h"
#include "SoundTypes.h"
#include "RubicsDirect3D.h"

class CConnectProjectile: public CClientProjectile {

public:
	CConnectProjectile();
	D3DCOLOR GetRandomColor(int color_choice);
	virtual ~CConnectProjectile();
	CConnectProjectile(LPDIRECT3DRM3 rm= NULL, LPDIRECT3DRMFRAME3 parent= NULL, Position* pos = NULL, SoundSet *pSound = NULL, float rotation = 0, D3DCOLOR color = WHITE);
protected:
private:

};

#endif //CONNECT_PROJECTILES