#include "RubicsDirect3D.h"

// Global Variables 
LPDIRECT3DRM3 lpD3DRM = NULL;            // Direct3DRM object 
LPDIRECTDRAWCLIPPER lpDDClipper = NULL; // DirectDrawClipper object 
LPDIRECTDRAW4 lpDD = NULL;
//-----------------------------------------------------------------------------
// Name: loadTexture()
// Desc: Loades the file specified in name into the texture.
//-----------------------------------------------------------------------------

HRESULT loadTexture(char *name, LPDIRECT3DRMTEXTURE3 *tex)
{
	return lpD3DRM->LoadTexture(name, tex);  
}

int PIECE_ID (short player, short object_num) {
	//long result = bigtemp + object_num;
	return (((int)player <<16) | ((int) object_num));
	//return(result);
}

void CenterBase(LPDIRECT3DRMMESHBUILDER3 builder) {
	D3DRMBOX box;
	builder->GetBox(&box);
	builder->Translate(-(box.min.x+box.max.x)/2, -box.min.y,-(box.min.z+box.max.z)/2);
}

//This is duplicated in ConnectProjectile, not linking
//So Grant changed name!
void Center(LPDIRECT3DRMMESHBUILDER3 builder) {
	D3DRMBOX box;
	builder->GetBox(&box);
	builder->Translate(-(box.min.x+box.max.x)/2, -(box.min.y+box.max.y)/2,-(box.min.z+box.max.z)/2);
}