#ifndef __DEVICES_H__
#define __DEVICES_H__

#include <direct.h>    /* DirectDraw definitions */
#include <d3drmwin.h>  /* D3DRM definitions */

HRESULT ChooseDeviceUsingDialog(HINSTANCE hInstance, LPGUID * lplpGuid);
HRESULT ChooseDrawDeviceUsingDialog(HINSTANCE hInstance, LPGUID * lplpGuid);
HRESULT WINAPI enumDeviceFunc(LPGUID lpGuid, 
                                     LPSTR lpDeviceDescription, 
                                     LPSTR lpDeviceName,
                                     LPD3DDEVICEDESC lpHWDesc, 
                                     LPD3DDEVICEDESC lpHELDesc, 
                                     LPVOID lpContext);
BOOL WINAPI enumDrawDeviceFunc(LPGUID lpGuid, 
                                     LPSTR lpDriveDescription, 
                                     LPSTR lpDriverName, 
                                     LPVOID lpContext);
BOOL CALLBACK DeviceWndProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);
BOOL CALLBACK DrawDeviceWndProc(HWND hWnd, UINT uMsg, WPARAM wParam, LPARAM lParam);
void DeleteDeviceList(HWND hWnd);
#endif // __DEVICES_H__