// ServerIcon.h: interface for the CServerIcon class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SERVERICON_H__86AC95C1_FB3D_11D2_9252_006097BC1F86__INCLUDED_)
#define AFX_SERVERICON_H__86AC95C1_FB3D_11D2_9252_006097BC1F86__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ServerObject.h"

class CServerIcon : public CServerObject  
{
public:
	CServerIcon();
	CServerIcon(long PieceID, Position npos,D3DRMBOX nbox, CServerObject * owner);
	CServerIcon(long PieceID, Position npos,D3DRMBOX nbox);
	CServerIcon(Position npos,D3DRMBOX nbox);
	virtual ~CServerIcon();
	bool CollideWith(CServerObject * object);
	bool TimerRegen();

	bool IsIcon() { return true; }

	private:
	// count down for a time period until we regenerate this icon.
	int counter;

};

#endif // !defined(AFX_SERVERICON_H__86AC95C1_FB3D_11D2_9252_006097BC1F86__INCLUDED_)
