// ServerRam.h: interface for the CServerRam class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SERVERRAM_H__94BD25C1_0F84_11D3_924E_0060971C6934__INCLUDED_)
#define AFX_SERVERRAM_H__94BD25C1_0F84_11D3_924E_0060971C6934__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ServerWeapon.h"

class CServerRam : public CServerWeapon
{
public:
	CServerRam();
	CServerRam(Position p, D3DRMBOX box);
	CServerRam(long PieceID, Position npos,D3DRMBOX nbox);
	CServerRam(long PieceID, Position p,D3DRMBOX b, CServerObject *own);
	bool CollideWith(CServerObject * object);
	void Update();
	virtual ~CServerRam();
	bool IsProjectile();
	void SetPosition(float x, float y, float z);
	void SetOrientation(float theta);
};

#endif // !defined(AFX_SERVERRAM_H__94BD25C1_0F84_11D3_924E_0060971C6934__INCLUDED_)
