// SeverViewer.h: interface for the CServerViewer class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SEVERVIEWER_H__0FE11082_0ADB_11D3_9254_0060971BFDB8__INCLUDED_)
#define AFX_SEVERVIEWER_H__0FE11082_0ADB_11D3_9254_0060971BFDB8__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ServerMovingObject.h"

class CServerViewer : public CServerMovingObject  
{
public:
	virtual void Update();
	virtual Position GetPosition();
	virtual D3DVALUE GetOrientation();
	CServerViewer();

	virtual bool IsWall() {return false;}
	
	CServerViewer(Position pos,D3DRMBOX box);
	CServerViewer(long ID, Position pos,D3DRMBOX box);
	CServerViewer(long ID, Position pos,D3DRMBOX box, CServerObject * owner);
	/* Returns a pointer to the internal
	   info for this object. This is what will
	   be passed as a message */
	virtual void GetMessage(rubiks_info* buffer);
	virtual void ReceiveAction(Action &a);
	virtual bool IsMoveable();
	virtual ~CServerViewer();
	
	// This is to only toggle camera view after they release action1: Space Bar
	bool space_down;
};

#endif // !defined(AFX_SEVERVIEWER_H__0FE11082_0ADB_11D3_9254_0060971BFDB8__INCLUDED_)
