#ifndef _RUBICSOBEJECTS_H__
#define _RUBICSOBEJECTS_H__

#include <windows.h>   // Standard Windows header file 
#include <direct.h>    // DirectDraw definitions 
#include <d3drmwin.h>  // D3DRM definitions 

extern HRESULT GetBoard(LPDIRECT3DRMMESHBUILDER3 board_builder);
extern HRESULT GetSquare(LPDIRECT3DRMMESHBUILDER3 board_builder, float size);
extern HRESULT GetSquare(LPDIRECT3DRMMESHBUILDER3 board_builder, float size, D3DCOLOR color);
extern HRESULT GetSquare(LPDIRECT3DRMMESHBUILDER3 board_builder, float size, D3DCOLOR c1,D3DCOLOR c2, D3DCOLOR c3, D3DCOLOR c4, D3DCOLOR c5, D3DCOLOR c6);
extern HRESULT Get3DRectangle(LPDIRECT3DRMMESHBUILDER3 meshBuilder, 
					   float width, float height, float depth,	// Dimensions
					   float x, float y, float z,				// Center Origin
					   D3DCOLOR c1,D3DCOLOR c2, D3DCOLOR c3,	// Colors of faces
					   D3DCOLOR c4, D3DCOLOR c5, D3DCOLOR c6);
extern HRESULT GetCylinder(LPDIRECT3DRMMESHBUILDER3 meshBuilder, float hieght, float radius, D3DCOLOR color, int NumSidesInCircle = 16);

#endif //_RUBICSOBEJECTS_H__