#ifndef _BOARDJECTS_H_
#define _BOARDJECTS_H_
/******************************************************************************
 *
 * Boardjects.h  -- All the associated static board objects are defined here
 *
 * Author: Grant "I hate OO programming" Jorde
 *
 */

#include <windows.h>   // Standard Windows header file 
#include <direct.h>    // DirectDraw definitions 

#include "messages.h"
#include "dpchat.h"
#include "ServerObject.h"

extern LPDPLAYINFO lpDPInfo;

class CBoardjects {

public:
	CBoardjects();
	//~CBoardjects();

	// Create and return a new CServerObject of type type, at position pos & angle theta.
	LPServerObject InsertBoardject(PieceType type, D3DRMBOX box, Position pos, float theta, float scale = 1.0, CServerObject * owner= NULL);

private:
	// Number of objects associated with the board used to get a unique ID
	int object_count;
	// This is a pointer to the server object
};

#endif // _BOARDJECTS_H