// ServerHoming.h: interface for the CServerHoming class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SERVERHOMING_H__94BD25C2_0F84_11D3_924E_0060971C6934__INCLUDED_)
#define AFX_SERVERHOMING_H__94BD25C2_0F84_11D3_924E_0060971C6934__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ServerObject.h"
#include "ServerWeapon.h"

class CServerHoming : public CServerWeapon  
{
public:
	CServerHoming();
	CServerHoming(Position p, D3DRMBOX b);
	CServerHoming(long PieceID, Position p,D3DRMBOX b) ;
	CServerHoming(long PieceID, Position p,D3DRMBOX b, CServerObject * own);
	void TargetPiece();
	void Update();
	virtual ~CServerHoming();
	virtual bool CollideWith(CServerObject * object);
	
	PieceID target;
	virtual Position GetPosition();
	virtual D3DRMBOX GetBoundingBox();

protected:
	bool targeting;
	D3DRMBOX target_box;
};

#endif // !defined(AFX_SERVERHOMING_H__94BD25C2_0F84_11D3_924E_0060971C6934__INCLUDED_)
