#include "messages.h"


typedef class ServerObject
{
friend bool collide(LPServerObject,LPServerObject);
friend class object_cube;
public:
	PieceType Type;
	long ID;
	ServerObject();
	Position pos;
	D3DRMBOX box;
	Action act;
	Direction dir;
public:
	Position get_pos();
	//void SetAction(Action act);
	Direction get_dir();
	Animation get_animation();
	void PerformAction();
	long getID();
} *LPServerObject;

bool collide(LPServerObject,LPServerObject);

class object_wall : public Object
{
private:
public:
	object_wall();
	object_wall(Position pos,D3DRMBOX box);
	Animation get_animation();
	PerformAction();
};

class object_cube : public Object
{
private:
public:
	object_cube();
	object_cube(Position pos,D3DRMBOX box);
	object_cube(long ID, Position pos,D3DRMBOX box);
	Animation get_animation();
	PerformAction();
};

class object_weapon : public Object
{



};

